# createDocFromUploadDocx

### Overview

Parameters:

* [DocFromDocx](/espanol/facilitadores/sdks/java-sdk/used-classes/body/docfromdocx.md)

Return:

* [DocResponse ](/espanol/facilitadores/sdks/java-sdk/used-classes/response/docresponse.md)- success
* Exception - failure

To create this document we need:

* set your api token.
* set your signers.
* set your doc.
* call the method.

### Usage:

Import the relevant components:

```java
import body.doc.DocFromDocx;
import body.signer.Signer;
import docs.DocRequests;
import response.DocResponse;

import services.JsonConverter;
import java.io.IOException;
import java.util.ArrayList;
```

Set your [Api Token](/espanol/master.md):

```java
String apiToken = "YOUR TOKEN";
```

Set your signers with the class [Signer](/espanol/facilitadores/sdks/java-sdk/used-classes/body/signer.md):

```java
Signer signer1 = Signer.builder()
                .name("My First Signer")
                .build();

Signer signer2 = Signer.builder()
                .name("My Second Signer")
                .email("test@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela") // draw on screen
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();
                
ArrayList<Signer> signers = new ArrayList<>();
        signers.add(signer1);
        signers.add(signer2);
```

Set your doc with class with the class [DocFromDocx](/espanol/facilitadores/sdks/java-sdk/used-classes/body/docfromdocx.md):

```java
DocFromDocx docFromDocx = DocFromDocx.docFromDocxBuilder()
                .sandbox(false)
                .name("My Contract")
                .brand_primary_color("#000000")
                .lang("en")
                .signers(signers)
                .url_docx("https://zapsign.s3.amazonaws.com/2022/1/docs/d7660fd2-fe74-4691-bec8-5c42c0ae2b3f/39a35070-8987-476d-86e3-75d91f588a5a.docx")
                .build();

```

Call the method createDocFromUploadDocx and receive the [DocResponse](/espanol/facilitadores/sdks/java-sdk/used-classes/response/docresponse.md) class or an error message as a response:

```java
try {
    DocResponse docResponse = new DocRequests(apiToken).createDocFromUploadDocx(docFromDocx);
    String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

```java
import body.doc.DocFromDocx;
import body.signer.Signer;
import docs.DocRequests;
import response.DocResponse;
import services.JsonConverter;

import java.util.ArrayList;

public class CreateDocFromUploadDocx {
    public static void main(String[] args) throws Exception {
        String apiToken = "YOUR TOKEN";

        Signer signer1 = Signer.builder()
                .name("My First Signer")
                .build();

        Signer signer2 = Signer.builder()
                .name("My Second Signer")
                .email("test@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela") // draw on screen
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();

        ArrayList<Signer> signers = new ArrayList<>();
        signers.add(signer1);
        signers.add(signer2);

        DocFromDocx docFromDocx = DocFromDocx.docFromDocxBuilder()
                .sandbox(false)
                .name("My Contract")
                .brand_primary_color("#000000")
                .lang("en")
                .signers(signers)
                .url_docx("https://zapsign.s3.amazonaws.com/2022/1/docs/d7660fd2-fe74-4691-bec8-5c42c0ae2b3f/39a35070-8987-476d-86e3-75d91f588a5a.docx")
                .build();

        try {
            DocResponse docResponse = new DocRequests(apiToken).createDocFromUploadDocx(docFromDocx);
            String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
            System.out.println(jsonDocResponse);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/espanol/facilitadores/sdks/java-sdk/documents-requests/createdocfromuploaddocx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
